Uses of Class
org.mockserver.model.NottableString
Packages that use NottableString
Package
Description
-
Uses of NottableString in org.mockserver.codec
Methods in org.mockserver.codec that return NottableStringModifier and TypeMethodDescriptionPathParametersDecoder.normalisePathWithParametersForMatching(HttpRequest matcher) Methods in org.mockserver.codec that return types with arguments of type NottableStringModifier and TypeMethodDescriptionExpandedParameterDecoder.splitOnDelimiter(ParameterStyle style, String name, List<NottableString> values) Method parameters in org.mockserver.codec with type arguments of type NottableStringModifier and TypeMethodDescriptionExpandedParameterDecoder.splitOnDelimiter(ParameterStyle style, String name, List<NottableString> values) -
Uses of NottableString in org.mockserver.collections
Methods in org.mockserver.collections that return NottableStringModifier and TypeMethodDescriptionImmutableEntry.getLeft()ImmutableEntry.getRight()ImmutableEntry.setValue(NottableString value) Methods in org.mockserver.collections with parameters of type NottableStringModifier and TypeMethodDescriptionstatic ImmutableEntryImmutableEntry.entry(RegexStringMatcher regexStringMatcher, NottableString key, NottableString value) ImmutableEntry.setValue(NottableString value) Constructors in org.mockserver.collections with parameters of type NottableStringModifierConstructorDescriptionNottableStringHashMap(MockServerLogger mockServerLogger, boolean controlPlaneMatcher, NottableString[]... keyAndValues) NottableStringMultiMap(MockServerLogger mockServerLogger, boolean controlPlaneMatcher, KeyMatchStyle keyMatchStyle, NottableString[]... keyAndValues) -
Uses of NottableString in org.mockserver.matchers
Methods in org.mockserver.matchers with parameters of type NottableStringModifier and TypeMethodDescriptionbooleanExactStringMatcher.matches(MatchDifference context, NottableString matched) booleanRegexStringMatcher.matches(MockServerLogger mockServerLogger, MatchDifference context, NottableString matcher, NottableString matched) booleanRegexStringMatcher.matches(MatchDifference context, NottableString matched) booleanRegexStringMatcher.matches(NottableString matcher, NottableString matched) booleanSubStringMatcher.matches(MatchDifference context, NottableString matched) -
Uses of NottableString in org.mockserver.model
Subclasses of NottableString in org.mockserver.modelMethods in org.mockserver.model that return NottableStringModifier and TypeMethodDescriptionGrpcBidiRule.getMatchJson()HttpRequest.getMethod()KeyAndValue.getName()KeyToMultiValue.getName()HttpRequest.getPath()WebSocketMessageMatcher.getTextMatcher()KeyAndValue.getValue()NottableString.lowercase()static NottableStringstatic NottableStringstatic NottableStringPathModifier.update(NottableString path) NottableString.withSchemaType(String schemaType) NottableString.withStyle(ParameterStyle style) Methods in org.mockserver.model that return types with arguments of type NottableStringModifier and TypeMethodDescriptionstatic List<NottableString>NottableString.deserializeNottableStrings(String... strings) static List<NottableString>NottableString.deserializeNottableStrings(List<String> strings) HttpResponse.getCookieMap()HttpResponse.getCookieMap()com.google.common.collect.Multimap<NottableString,NottableString> HttpResponse.getHeaderMultimap()com.google.common.collect.Multimap<NottableString,NottableString> HttpResponse.getHeaderMultimap()KeysAndValues.getMap()KeysAndValues.getMap()com.google.common.collect.Multimap<NottableString,NottableString> KeysToMultiValues.getMultimap()com.google.common.collect.Multimap<NottableString,NottableString> KeysToMultiValues.getMultimap()KeysToMultiValues.getValues(NottableString key) KeyToMultiValue.getValues()KeysToMultiValues.keySet()static List<NottableString>static List<NottableString>NottableString.strings(Collection<String> values) Methods in org.mockserver.model with parameters of type NottableStringModifier and TypeMethodDescriptionvoidKeyToMultiValue.addValues(NottableString... values) Cookies.build(NottableString name, NottableString value) Headers.build(NottableString name, Collection<NottableString> values) abstract TKeysAndValues.build(NottableString name, NottableString value) abstract TKeysToMultiValues.build(NottableString name, Collection<NottableString> values) Parameters.build(NottableString name, Collection<NottableString> values) intNottableString.compareTo(NottableString other) static CookieCookie.cookie(NottableString name, String value) static CookieCookie.cookie(NottableString name, NottableString value) KeysToMultiValues.getValues(NottableString key) booleanHttpRequest.hasPathParameter(NottableString name, NottableString value) booleanHttpRequest.hasQueryStringParameter(NottableString name, NottableString value) static HeaderHeader.header(NottableString name, Collection<NottableString> value) static HeaderHeader.header(NottableString name, NottableString... value) static CookieCookie.optionalCookie(String name, NottableString value) static ParameterParameter.param(NottableString name, String... value) static ParameterParameter.param(NottableString name, Collection<NottableString> value) static ParameterParameter.param(NottableString name, NottableString... value) booleanKeysAndValues.remove(NottableString name) booleanKeysToMultiValues.remove(NottableString name) HttpMessage.removeHeader(NottableString name) HttpRequest.removeHeader(NottableString name) HttpResponse.removeHeader(NottableString name) static ParameterParameter.schemaParam(NottableString name, String... values) static StringNottableString.serialiseNottableString(NottableString nottableString) PathModifier.update(NottableString path) HttpMessage.withCookie(NottableString name, NottableString value) HttpRequest.withCookie(NottableString name, NottableString value) Adds one cookie to match on or to not match on using the NottableString, each NottableString can either be a positive matching value, such as string("match"), or a value to not match on, such as not("do not match"), the string values passed to the NottableString can be a plain string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpResponse.withCookie(NottableString name, NottableString value) Adds one cookie to match on or to not match on using the NottableString, each NottableString can either be a positive matching value, such as string("match"), or a value to not match on, such as not("do not match"), the string values passed to the NottableString can be a plain string or a regex (for more details of the supported regex syntax see ...)KeysAndValues.withEntry(NottableString name, NottableString value) KeysToMultiValues.withEntry(NottableString name, List<NottableString> values) KeysToMultiValues.withEntry(NottableString name, NottableString... values) HttpMessage.withHeader(NottableString name, NottableString... values) HttpRequest.withHeader(NottableString name, NottableString... values) Adds one header to match on or to not match on using the NottableString, each NottableString can either be a positive matching value, such as string("match"), or a value to not match on, such as not("do not match"), the string values passed to the NottableString can also be a plain string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpResponse.withHeader(NottableString name, NottableString... values) Add a header to return as a Header object, if a header with the same name already exists this will NOT be modified but two headers will existGrpcBidiRule.withMatchJson(NottableString matchJson) HttpRequest.withMethod(NottableString method) The HTTP method all method except a specific value using the "not" operator, for example this allows operations such as not("GET")HttpRequest.withPath(NottableString path) The path to not match on for example not("/some_mocked_path") with match any path not equal to "/some_mocked_path", the servlet context path is ignored for matching and should not be specified hereregex values are also supported such as not(".HttpRequest.withPathParameter(NottableString name, NottableString... values) Adds one path parameter to match on or to not match on using the NottableString, each NottableString can either be a positive matching value, such as string("match"), or a value to not match on, such as not("do not match"), the string values passed to the NottableString can also be a plain string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequest.withQueryStringParameter(NottableString name, NottableString... values) Adds one query string parameter to match on or to not match on using the NottableString, each NottableString can either be a positive matching value, such as string("match"), or a value to not match on, such as not("do not match"), the string values passed to the NottableString can also be a plain string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)WebSocketMessageMatcher.withTextMatcher(NottableString textMatcher) Method parameters in org.mockserver.model with type arguments of type NottableStringModifier and TypeMethodDescriptionHeaders.build(NottableString name, Collection<NottableString> values) abstract TKeysToMultiValues.build(NottableString name, Collection<NottableString> values) Parameters.build(NottableString name, Collection<NottableString> values) static HeaderHeader.header(NottableString name, Collection<NottableString> value) booleanNottableSchemaString.matches(MockServerLogger mockServerLogger, MatchDifference context, List<NottableString> json) static ParameterParameter.param(NottableString name, Collection<NottableString> value) voidKeyToMultiValue.replaceValues(List<NottableString> values) NottableString.serialiseNottableStrings(Collection<NottableString> nottableStrings) KeysToMultiValues.withEntry(NottableString name, List<NottableString> values) Constructors in org.mockserver.model with parameters of type NottableStringModifierConstructorDescriptionCookie(NottableString name, String value) Cookie(NottableString name, NottableString value) Header(NottableString name, String... value) Header(NottableString name, Collection<NottableString> value) Header(NottableString name, NottableString... value) KeyAndValue(NottableString name, String value) KeyAndValue(NottableString name, NottableString value) Parameter(NottableString name, String... value) Parameter(NottableString name, Collection<NottableString> value) Parameter(NottableString name, NottableString... value) Constructor parameters in org.mockserver.model with type arguments of type NottableStringModifierConstructorDescriptionCookies(Map<NottableString, NottableString> cookies) Cookies(Map<NottableString, NottableString> cookies) Header(NottableString name, Collection<NottableString> value) Headers(com.google.common.collect.Multimap<NottableString, NottableString> headers) Headers(com.google.common.collect.Multimap<NottableString, NottableString> headers) protectedprotectedprotectedKeysToMultiValues(com.google.common.collect.Multimap<NottableString, NottableString> multimap) protectedKeysToMultiValues(com.google.common.collect.Multimap<NottableString, NottableString> multimap) Parameter(NottableString name, Collection<NottableString> value) Parameters(com.google.common.collect.Multimap<NottableString, NottableString> headers) Parameters(com.google.common.collect.Multimap<NottableString, NottableString> headers) -
Uses of NottableString in org.mockserver.serialization.deserializers.string
Methods in org.mockserver.serialization.deserializers.string that return NottableStringModifier and TypeMethodDescriptionNottableStringDeserializer.deserialize(com.fasterxml.jackson.core.JsonParser jsonParser, com.fasterxml.jackson.databind.DeserializationContext ctxt) -
Uses of NottableString in org.mockserver.serialization.java
Methods in org.mockserver.serialization.java with parameters of type NottableStringModifier and TypeMethodDescriptionstatic StringNottableStringToJavaSerializer.serialize(NottableString nottableString, boolean alwaysNottableString) -
Uses of NottableString in org.mockserver.serialization.model
Methods in org.mockserver.serialization.model that return NottableStringModifier and TypeMethodDescriptionHttpRequestDTO.getMethod()KeyAndValueDTO.getName()KeyToMultiValueDTO.getName()HttpRequestDTO.getPath()KeyAndValueDTO.getValue()Methods in org.mockserver.serialization.model that return types with arguments of type NottableStringMethods in org.mockserver.serialization.model with parameters of type NottableStringModifier and TypeMethodDescriptionHttpRequestDTO.setMethod(NottableString method) HttpRequestDTO.setPath(NottableString path) -
Uses of NottableString in org.mockserver.serialization.serializers.string
Methods in org.mockserver.serialization.serializers.string with parameters of type NottableStringModifier and TypeMethodDescriptionvoidNottableStringSerializer.serialize(NottableString nottableString, com.fasterxml.jackson.core.JsonGenerator jgen, com.fasterxml.jackson.databind.SerializerProvider provider)